
ctools - Bug #3509

Running ctbin with zero events in event files leads to an exception

01/21/2021 03:55 PM - Knödlseder Jürgen

Status: Rejected Start date: 01/21/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Samuel Mc Keague reported that the following exception occurred when running ctbin:

2021-01-21T14:42:27: *** ERROR encounterted in the execution of ctbin. Run aborted ...

2021-01-21T14:42:27: *** ERROR in GCTAEventCube::set_times(): Invalid value. No Good Time Intervals have been found in event

 cube. Every CTA event cube needs a definition of the Good Time Intervals.

Inspecting the log file (see attachment:ctbin.log) indicates that all input event files had zero events. It should be verified whether

empty event files result in an error.

History

#1 - 06/02/2022 08:02 AM - Knödlseder Jürgen

- Status changed from New to Rejected

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

I created and empty events file by running ctobssim on a zero-length time interval and then run ctbin using this empty events file. The ctbin run

succeeded without any exceptions:

2022-06-02T06:00:37: +===================+

2022-06-02T06:00:37: | Input observation |

2022-06-02T06:00:37: +===================+

2022-06-02T06:00:37: === GObservations ===

2022-06-02T06:00:37:  Number of observations ....: 1

2022-06-02T06:00:37:  Number of models ..........: 0

2022-06-02T06:00:37:  Number of observed events .: 0

2022-06-02T06:00:37:  Number of predicted events : 0

2022-06-02T06:00:37:

2022-06-02T06:00:37: +===========================+

2022-06-02T06:00:37: | Find unbinned observation |

2022-06-02T06:00:37: +===========================+

2022-06-02T06:00:37: === CTA observation (id=000001) ===

2022-06-02T06:00:37:  Including unbinned CTA observation

2022-06-02T06:00:37: === Summary ===

2022-06-02T06:00:37:  Number of observations ....: 1

2022-06-02T06:00:37:  Mean pointing .............: (RA,Dec)=(83.63,22.51)

2022-06-02T06:00:37:  Use mean pointing .........: no

2022-06-02T06:00:37:

2022-06-02T06:00:37: +=================+

2022-06-02T06:00:37: | Bin observation |

2022-06-02T06:00:37: +=================+

2022-06-02T06:00:37: === CTA observation (id=000001) ===

2022-06-02T06:00:37:  Events in list ............: 0

2022-06-02T06:00:37:  Events in cube ............: 0

2022-06-02T06:00:37:  Events outside RoI ........: 0

2022-06-02T06:00:37:  Events with invalid WCS ...: 0

2022-06-02T06:00:37:  Events outside cube area ..: 0

2022-06-02T06:00:37:  Events outside energy bins : 0

2022-06-02T06:00:37:

2022-06-02T06:00:37: +====================+

2022-06-02T06:00:37: | Binned observation |
2022-06-02T06:00:37: +====================+

2022-06-02T06:00:37: === GObservations ===

2022-06-02T06:00:37:  Number of observations ....: 1

2022-06-02T06:00:37:  Number of models ..........: 0

2022-06-02T06:00:37:  Number of observed events .: 0

2022-06-02T06:00:37:  Number of predicted events : 0

2022-06-02T06:00:37:

2022-06-02T06:00:37: +==================+

2022-06-02T06:00:37: | Save counts cube |

2022-06-02T06:00:37: +==================+

2022-06-02T06:00:37:  Counts cube file ..........: cntcube.fits

2022-06-02T06:00:37:

2022-06-02T06:00:37: Application "ctbin" terminated after 7 wall clock seconds, consuming 0.351977 seconds of CPU time and generating a carbon

 footprint of 0.000345996 g eCO2.

I therefore reject the issue.

Files

ctbin.log 27.4 KB 01/21/2021 Knödlseder Jürgen
